# GimpUi.ColorHexEntry

    from gi.repository import GimpUi

    color_hex_entry = GimpUi.ColorHexEntry()

Widget for entering a color's hex triplet. The syntax follows CSS and SVG specifications, which means that only sRGB colors are supported.

## Hierarchy

- GObject.Object
  - GObject.InitiallyUnowned
    - Gtk.Widget
      - Gtk.Entry
        - GimpUi.ColorHexEntry

## Methods

- GimpUi.ColorHexEntry.get_color
- GimpUi.ColorHexEntry.set_color

## Signals

- color-changed